Bug 808336 - Review Request: dia-gnomeDIAicons - Beautiful icon set for dia diagram editor
Review Request: dia-gnomeDIAicons - Beautiful icon set for dia diagram editor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 03:49 EDT by Arthur Buliva
Modified: 2013-03-22 07:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-22 07:04:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Arthur Buliva 2012-03-30 03:49:06 EDT
Spec URL: http://www.arthurbuliva.com/sites/default/files/diaicons.spec
SRPM URL: http://www.arthurbuliva.com/sites/default/files/diaicons-0.1-1.fc16.src_.rpm
Description: Dia diagram editor comes with a default set of icons that get the job done. To have diagrams that impress, diaicons will provide a Microsoft-Visio-look-alike icon set for that eye-candy of network diagrams.
Comment 1 Arthur Buliva 2012-03-30 03:52:25 EDT
More details at http://www.arthurbuliva.com/node/57
Comment 2 Peter Lemenkov 2012-03-30 05:11:14 EDT
I'll review it.
Comment 3 Peter Lemenkov 2012-03-30 05:17:54 EDT
Few notes:

* I don't like the name. This doesn't helps if someone searches for "gnomeDIAicons" neither for dia extensions (which traditionally named ad dia-something). I suggest you to rename it to the dia-gnomeDIAicons to better match the upstream name and to show that this is a Dia addon.

* The package doesn't contain any arch-specific data so it must be marked as noarch. Please add "BuildArch:	noarch" to the head of the spec-file.

* It seems that you installed it to the wrong directories. When I installed your package and relaunched Dia I didn't see any new iconsets. But after I changed %install section:


- %{__install} -d -m 0755 %{buildroot}%{_datadir}/%{name}
- %{__cp} -av * %{buildroot}%{_datadir}/%{name}
+ %{__install} -d -m 0755 %{buildroot}%{_datadir}/
+ %{__cp} -av * %{buildroot}%{_datadir}/

and %files section:

- %{_datadir}/%{name}/*
+ %{_datadir}/shapes/*
+ %{_datadir}/sheets/*

Dia finally found them.

Please fix these and I'll continue.
Comment 4 Arthur Buliva 2012-03-30 05:34:22 EDT
* I suggest you to rename it to the dia-gnomeDIAicons to better

DONE

* Please add "BuildArch: noarch" to the head of the spec-file

DONE

* It seems that you installed it to the wrong directories. 

FIXED

New paths:

http://www.arthurbuliva.com/sites/default/files/diaicons.spec
http://www.arthurbuliva.com/sites/default/files/dia-gnomeDIAicons-0.1-1.fc16.src_.rpm
Comment 5 Peter Lemenkov 2012-03-30 06:13:45 EDT
Ok, good. One more note - please, adjust name of the spec-file to match the package's name, e.g. rename diaicons.spec to the dia-gnomeDIAicons.spec (as required by the Fedora policy). Assuming that you did that here is my formal

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+/- rpmlint is not completely silent

work ~/rpmbuild/SPECS: rpmlint ../RPMS/noarch/dia-gnomeDIAicons-0.1-1.fc17.noarch.rpm ../SRPMS/dia-gnomeDIAicons-0.1-1.fc17.src.rpm 
dia-gnomeDIAicons.noarch: W: spelling-error %description -l en_US diaicons -> diapasons

^^^ False positive. Should be omitted.

dia-gnomeDIAicons.noarch: E: description-line-too-long C Dia diagram editor comes with a default set of icons that get the job done. To have diagrams that impress, diaicons will provide a Microsoft-Visio-look-alike icon set for that eye-candy of network diagrams.

^^^ Please shorten the description line length by reformatting them to fit the 80 sympols-per-line length.

dia-gnomeDIAicons.noarch: E: no-changelogname-tag

^^^ Please, provide %changelog section. I know - this looks quite archaic but it still required by the Fedora Policy.

dia-gnomeDIAicons.noarch: W: no-documentation

^^^ We can't fix that so this should be omitted. The package really does not contain any READMEs.

dia-gnomeDIAicons.noarch: E: script-without-shebang /usr/share/dia/shapes/RIB-Network/database-postgresql.shape

^^^ False positive. Should be omitted.

dia-gnomeDIAicons.src:3: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 1)

^^^ easyfix.

dia-gnomeDIAicons.src: W: invalid-url Source0: dia-gnomeDIAicons-0.1.tar.gz
2 packages and 0 specfiles checked; 5 errors, 5 warnings.

^^^ You should use a full path to the original URL, e.g.

http://gnomediaicons.sourceforge.net/files/rib-network-v0.1.tar.gz

work ~/rpmbuild/SPECS: 


+ The package is named according to the  Package Naming Guidelines. 

- The spec file name MUST match the base package %{name}, in the format %{name}.spec. See my note above.

+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines. Well, I failed to find the exact licensing conditions but the project's page on SF.net says that it licensed under GNU GPL.

- The License field in the package spec file MUST match the actual license. Since the project's author doesn't explicitly state the version of the GPL this means that the correct tag value is GPL+ (NOT a GPLv2+). Please fix it.

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL. 

work ~/rpmbuild/SPECS: sha256sum ~/Desktop/rib-network-v0.1.tar.gz ~/rpmbuild/SOURCES/dia-gnomeDIAicons-0.1.tar.gz 
96fcd19e368b67dc26e985ae445c72f28be6ff5f484d13bb320fceeccb5dfbf6  /home/petro/Desktop/rib-network-v0.1.tar.gz
96fcd19e368b67dc26e985ae445c72f28be6ff5f484d13bb320fceeccb5dfbf6  /home/petro/rpmbuild/SOURCES/dia-gnomeDIAicons-0.1.tar.gz
work ~/rpmbuild/SPECS: 

See my advice regarding source's name above.

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.

- Permissions on files MUST be set properly. Several files are marked as 0755. Please add the following line to the %prep section:

chmod 0644 shapes/RIB-Network/*

+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


Please fix the issues mentioned above, and I'll finish reviewing.
Comment 6 Arthur Buliva 2012-03-30 11:53:17 EDT
Is this OK now?

http://arthurbuliva.com/sites/default/files/dia-gnomeDIAicons.spec
Comment 7 Peter Lemenkov 2012-03-30 12:13:26 EDT
(In reply to comment #6)
> Is this OK now?
> 
> http://arthurbuliva.com/sites/default/files/dia-gnomeDIAicons.spec

Almost. I see only two remaining issues.

* You accidentally changed previously perfectly valid "Url" field. Its current value should go to the Source0 field.

* License still GPLv2+. It must be GPL+.

Both of these are easy-to fix issues so, please, fix them and this package is


APPROVED.
Comment 8 Arthur Buliva 2012-03-30 12:24:06 EDT
Changed. http://arthurbuliva.com/sites/default/files/dia-gnomeDIAicons.spec
Comment 9 Peter Lemenkov 2012-03-31 04:37:24 EDT
(In reply to comment #8)
> Changed. http://arthurbuliva.com/sites/default/files/dia-gnomeDIAicons.spec

Please apply the following change before requesting SCM:

- Source0: %{name}-%{version}.tar.gz
+ Source0: http://gnomediaicons.sourceforge.net/files/rib-network-v0.1.tar.gz

I already approved this (this change is quite minor), so proceed with this

https://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages

Arthur, are you already sponsored?
Comment 10 Arthur Buliva 2012-04-02 01:08:39 EDT
Change applied.

(In reply to comment #9)
> Arthur, are you already sponsored?

I dont understand. Do you mean if I have a fas account? If so, yes, .fas arthurbuliva

New Package SCM Request
=======================
Package Name: dia-gnomeDIAicons
Short Description: Beautiful icon set for dia diagram editor
Owners: arthurbuliva
Branches: f16 f17
InitialCC:
Comment 11 Peter Lemenkov 2012-04-02 01:57:59 EDT
(In reply to comment #10)
> Change applied.
> 
> (In reply to comment #9)
> > Arthur, are you already sponsored?
> 
> I dont understand. Do you mean if I have a fas account? If so, yes, .fas
> arthurbuliva

I just checked and this seems to be your first package. That means you need a someone who sponsors you (grants "Fedora Packager GIT Commit" status) - so I just sponsored you.
Comment 12 Peter Lemenkov 2012-04-02 01:58:51 EDT
(In reply to comment #10)
> Change applied.
> 
> (In reply to comment #9)
> > Arthur, are you already sponsored?
> 
> I dont understand. Do you mean if I have a fas account? If so, yes, .fas
> arthurbuliva
> 
> New Package SCM Request
> =======================
> Package Name: dia-gnomeDIAicons
> Short Description: Beautiful icon set for dia diagram editor
> Owners: arthurbuliva
> Branches: f16 f17
> InitialCC:

Please also raise fedora-cvs flag to "?".
Comment 13 Arthur Buliva 2012-04-02 05:16:42 EDT
(In reply to comment #11)
> I just checked and this seems to be your first package. That means you need a
> someone who sponsors you (grants "Fedora Packager GIT Commit" status) - so I
> just sponsored you.

Thank you very much

Help me out please

How do I 'raise fedora-cvs flag to "?"' ?

I seem to be in the fedorabugs group and I have waited for the one hour they have mentioned. But I dont seem to see any drop-down list that will allow me to accomplish this
Comment 14 Peter Lemenkov 2012-04-02 05:26:50 EDT
(In reply to comment #13)

> How do I 'raise fedora-cvs flag to "?"' ?

Take a look at the top of the page. There is a "(edit)" link near "Flags" word. You need to click on this link and you'll see a bunch of drop-down boxes.

http://peter.fedorapeople.org/stuff/bzflags.png
Comment 15 Arthur Buliva 2012-04-02 05:37:23 EDT
Sweet! Seen it. However, it is disabled for me
Comment 16 Peter Lemenkov 2012-04-02 05:47:17 EDT
(In reply to comment #15)
> Sweet! Seen it. However, it is disabled for me

Yep, that's a known issue - you registered with a different email in Bugzilla than one you listed at your page ( arthurbuliva@gmail.com ). If you change your current bugzilla email to arthurbuliva@gmail.com it will magically enables.

For me it looks like a bug since your fedoraproject.org email definitely could be linked to your primary email but anyway it wasn't fixed for a long so I wouldn't hold my breath here. So just change your Bugzilla email to arthurbuliva@gmail.com for now.
Comment 17 Arthur Buliva 2012-04-02 08:23:36 EDT
Changed email. Pending change approval
Comment 18 Arthur Buliva 2012-04-10 00:39:42 EDT
I don't know why the option is still disabled after all these days :-(
Comment 19 Arthur Buliva 2012-04-11 00:34:16 EDT
fedora-cvs flag raised to ? successfully
Comment 20 Gwyn Ciesla 2012-04-11 08:00:44 EDT
Git done (by process-git-requests).
Comment 21 Arthur Buliva 2012-04-18 01:23:24 EDT
Am having probblems cloning this package. This is what I have so far:

[makerpm@xxxx fedora-scm]$ ssh-add
Could not open a connection to your authentication agent.
[makerpm@xxxx fedora-scm]$ exec ssh-agent bash
[makerpm@xxxx fedora-scm]$ fedpkg clone dia-gnomeDIAicons
Cloning into 'dia-gnomeDIAicons'...
Permission denied (publickey).
fatal: The remote end hung up unexpectedly
Could not execute clone: Command '['git', 'clone', 'ssh://arthur@pkgs.fedoraproject.org/dia-gnomeDIAicons']' returned non-zero exit status 128
[makerpm@xxxx fedora-scm]$ git clone ssh://arthurbuliva:xxxx@pkgs.fedoraproject.org/dia-gnomeDIAicons
Cloning into 'dia-gnomeDIAicons'...
Permission denied (publickey).
fatal: The remote end hung up unexpectedly
[makerpm@xxxx fedora-scm]$


What do I do please?
Comment 22 Arthur Buliva 2012-04-25 01:57:59 EDT
Anyone to the rescue...?
Comment 23 Peter Lemenkov 2012-04-25 03:25:10 EDT
(In reply to comment #22)
> Anyone to the rescue...?

Arthur, there is something wrong with SSH key you submitted at you FAS page or you're using wrong FAS name.

a) Ensure that key submitted at your page is valid one:


https://admin.fedoraproject.org/accounts/user/view/arthurbuliva

b) Your FAS name is 'arthurbuliva' (as stated in a SCM request above), not 'arthur' as you're tried.
Comment 24 Arthur Buliva 2012-04-25 07:28:48 EDT
I have done the command manually:

git clone ssh://arthurbuliva@pkgs.fedoraproject.org/dia-gnomeDIAicons

It has cloned it
Comment 25 Arthur Buliva 2012-04-25 08:01:32 EDT
Just a quick question please, am I doing the correct thing?

http://pkgs.fedoraproject.org/gitweb/?p=dia-gnomeDIAicons.git
Comment 26 Arthur Buliva 2012-04-25 08:14:06 EDT
One other question;

I have this:

[makerpm@xxxx dia-gnomeDIAicons]$ fedpkg build
Could not execute build: Could not auth with koji as arthur
[makerpm@xxxx dia-gnomeDIAicons]$ fedpkg --user=arthurbuliva build
Could not execute build: Could not auth with koji as arthurbuliva
[makerpm@xxxx dia-gnomeDIAicons]$


This time am stuck how to resolve?
Comment 27 Peter Lemenkov 2012-04-25 08:17:31 EDT
(In reply to comment #25)
> Just a quick question please, am I doing the correct thing?
> 
> http://pkgs.fedoraproject.org/gitweb/?p=dia-gnomeDIAicons.git

Yes, so far everything is OK.

(In reply to comment #26)
> One other question;
> 
> I have this:
> 
> [makerpm@xxxx dia-gnomeDIAicons]$ fedpkg build
> Could not execute build: Could not auth with koji as arthur
> [makerpm@xxxx dia-gnomeDIAicons]$ fedpkg --user=arthurbuliva build
> Could not execute build: Could not auth with koji as arthurbuliva
> [makerpm@xxxx dia-gnomeDIAicons]$
> 
> 
> This time am stuck how to resolve?

I'm afraid you messed up your fedpkg setup ("arthur" vs. "arthurbuliva"). I've no idea where fedpkg stores its config unfortunately.
Comment 28 Arthur Buliva 2012-04-25 08:41:16 EDT
> I'm afraid you messed up your fedpkg setup ("arthur" vs. "arthurbuliva"). I've
> no idea where fedpkg stores its config unfortunately.

I have searched and found it at /etc/rpkg/fedpkg.conf

It doesn't, however, have any hard coded reference to 'arthur'

Meanwhile a git config list on the directory gives me

[makerpm@xxxx dia-gnomeDIAicons]$ git config --list
user.email=arthurbuliva@gmail.com
user.name=Arthur Buliva
core.repositoryformatversion=0
core.filemode=true
core.bare=false
core.logallrefupdates=true
remote.origin.fetch=+refs/heads/*:refs/remotes/origin/*
remote.origin.url=ssh://arthurbuliva@pkgs.fedoraproject.org/dia-gnomeDIAicons
branch.master.remote=origin
branch.master.merge=refs/heads/master
branch.f16.remote=origin
branch.f16.merge=refs/heads/f16
[makerpm@xxx dia-gnomeDIAicons]$
Comment 29 Arthur Buliva 2012-05-07 04:28:00 EDT
I have tried all means that I know of but I haven't been successful. I dont know what else to do
Comment 30 Fedora Update System 2013-03-11 16:56:55 EDT
rubygem-asciidoctor-0.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-asciidoctor-0.1.1-1.fc18

Note You need to log in before you can comment on or make changes to this bug.